Subject: Re: master: t5800-remote-helpers.sh hangs on test "pulling from remote remote"

From: Pete Wyckoff <[email-masked]>
Date: Thu, 19 Apr 2012 19:34:45 -0400

[email-masked] wrote on Sun, 15 Apr 2012 14:51 +0200:
> The 'pushing to local repo' test of t5800 which pushes using
> git-remote-testgit.py results in a deadlock for Stefano. Invoking
> fast-export/fast-import manually seems to work, however. I don't know
> what else to try at this point.
> 
> I am pasting some relevant results below.
> 
> > expecting success:
> >         (cd localclone &&
> >         echo content >>file &&
> >         git commit -a -m three &&
> >         GIT_TRACE=1 GIT_TRANSPORT_HELPER_DEBUG=1 GIT_DEBUG_TESTGIT=1 git push) &&
> >         compare_refs localclone HEAD server HEAD

fast-export should say to fd 1 "feature done\nblob\n..."

fast-import is probably blocked on reading fd 0, hoping to find a
sequence of commands

I too cannot reproduce the problem.  Stefano, can you try this
bigger hammer?  We'll see if anything sticks out.

    GIT_TRACE=1 GIT_TRANSPORT_HELPER_DEBUG=1 GIT_DEBUG_TESTGIT=1 strace -vf -s 2000 -o /tmp/strace.out git push

Then "bzip2 /tmp/strace.out" and attach /tmp/strace.out.bz2, please.

		-- Pete